//	This group of camera controls is dedicated to the amazing
//	Iron Chef Frappe who waited over 18 months for these to be created!



// 	Bullet Cam
function ServerCmdsetBulletCam(%client, %enable)
{
	%camera = %client.camera;
	%camera.bulletCam = %enable;
}

function fireBulletCam(%p ,%client, %target)
{
	if(!isObject(%p))
		return;
	%camera = %client.camera;
	%camera.targetBullet = %target;
	%camera.getDataBlock().setMode(%camera, "observerFollowBullet", %p);
	%client.bulletCamLoop = schedule(250, 0, "BulletCamCheck", %p, %client, %target);
	%client.bulletCamCurrent = true;
}

function BulletCamCheck(%p, %client, %target)
{
	cancel(%client.bulletCamLoop);
	if(isObject(%p))
	{
		%client.bulletCamLoop = schedule(250, 0, "BulletCamCheck", %p, %client, %target);
	}
	else
	{
		%player = %target.player;
		if(!isObject(%player) || !isObject(%target))
		{
			%client.bulletCamCurrent = false;
			schedule(1000, 0, "serverCmdObserveClient", %client, -1);
			return;
		}
		else if(%player.getState() $= "Dead")
		{
			%client.bulletCamCurrent = false;
			schedule(1000, 0, "serverCmdObserveClient", %client, -1);
			return;
		}
		else
		{
			schedule(1000, 0, "serverCmdObserveClient", %client, %target);
			%client.bulletCamCurrent = false;
		}
	}
}




//	Camera Orbit Range
function ServerCmdsetCameraOrbitRange(%client, %stage)
{
	switch(%stage)
	{
		case 1:
			%value = 1;

		case 2:
			%value = 2;

		case 3:
			%value = 3;

		case 4:
			%value = 4.5;

		case 5:
			%value = 6;

		case 6:
			%value = 9;

		case 7:
			%value = 15;

		case 8:
			%value = 20;

		case 9:
			%value = 25;

		case 0:
			%value = 30;
	}
	if(%client.observeClient)
	{
		%obj = %client.camera;
		%target = %client.observeClient;
		%player = %target.player;
		%obj.setOrbitMode(%player, %player.getTransform(), 0.5, %value, %value);
	}

}
